# README for C++ GUI

## Compilation

```sh
mkdir build
cd build
cmake \
    -DJULIA_DIR=/path/to/where/julia/is/installed \
    -DJLUNA_DIR=/path/to/where/jluna/is/installed \
    ..
make
./PersefoneGUI
```

You will need the necessary Qt packages installed.  On Ubuntu 22.04,
these are (Note: this information is somewhat approximate, some
packages could be missing, and some might not be necessary, sorry):

### Prerequisites for building from source

You need a C++ compiler, cmake, make, and Qt6 installed.

On Ubuntu the following should work:
```sh
sudo apt install build-essential cmake
sudo apt install qt6-base-dev qt6-declarative-dev
sudo apt install \
    qml6-module-qtqml-workerscript \
    qml6-module-qtquick \
    qml6-module-qtquick-controls \
    qml6-module-qtquick-dialogs \
    qml6-module-qtquick-layouts \
    qml6-module-qtquick-templates \
    qml6-module-qtquick-tooling \
    qml6-module-qtquick-window \
    qt6-image-formats-plugins
```

You also need the jluna library installed:
https://github.com/Clemapfel/jluna

