#include <julia.h>
JULIA_DEFINE_FAST_TLS

#include <iostream>

int main(int argc, char *argv[])
{
    jl_init();
    jl_eval_string(R"(println("hello from julia, embedded in c++"))");
    auto ret = jl_eval_string(R"(
        import Pkg
        Pkg.activate("./jlproj")
        println("julia: LD_LIBRARY_PATH before = ", get(ENV, "LD_LIBRARY_PATH", ""))
        println("before import Glib_jll")
        import Glib_jll
        libdir_glib = joinpath(Glib_jll.artifact_dir, "lib")
        println("libdir_glib = ", libdir_glib)
    )");
    std::cout << "Julia cmd ret value = " << ret;
    if (jl_exception_occurred()) {
        const char *p = (const char *) jl_unbox_voidpointer(jl_eval_string(R"(
            pointer(sprint(showerror, ccall(:jl_exception_occurred, Any, ())))
        )"));
        std::cout << "\n" << p << std::endl;
        return 0;
    }

    jl_atexit_hook(0);
    return 0;
}
